找回密码
 骑士注册

QQ登录

微博登录

搜索
❏ 站外平台:

Linux中国开源社区 观点 查看内容

浦发银行,请给我们一个解释!

2014-03-27 07:38    评论: 76    

2014年3月24日,浦发银行对其网上银行安全控件进行了全面升级,结果却让国内 Linux 用户们大跌眼镜!

第二天,我发表的帖子《浦发银行,升级还是退步?》被很多网站转载,引起了网友们的纷纷议论。虽然有个别网友对浦发银行的此次升级表示谅解,但是绝大多数网友还是表示不解与愤慨。不过,那篇文章终究是在气头上写的,过于感性。所以,还是有必要再好好分析一下这个事儿。

多年以来,浦发银行的个人网银,由于其良好的兼容性,而备受好评。浦发银行也曾在网上银行兼容性列表上处于“当仁不让”的地位,并获得“三年化碧”的殊荣,一直都是众多非 Windows 平台用户的首选。(当然,现在由于苹果用户和非IE内核浏览器用户越来越多,已经有不少银行也改善了其网银的兼容性,但兼容 Linux 系统的网银仍然屈指可数。)而现在,浦发银行一下子跌落到了“自郐以下”了。我当年也是因为浦发网银兼容 Linux 系统,才特意开的浦发银行的账户。但是,此次升级后,我却无法像以前那样正常登录网银了,看着网页上的“暂不支持此系统”,不知所措。而我事先没有收到任何相关通知!我个人觉得,这至少已经是浦发银行对用户的一种不尊重了!

也许有网友会说,网站上事先已经通知过了。但是,看看浦发的公告,并没有涉及任何有关将暂不支持或不再支持 Linux 系统的内容!

浦发网银在IE浏览器上早就要用控件了,为了进一步加强了安全性(真的能起到作用么?),此次升级之后,Windows 系统上,其他浏览器也需要用控件才能登录。所以,在 Windows 系统上访问浦发网银,会要求安装控件。(有网友说,Mac OS X 上也登录不了了,但客服称,是支持苹果的。)既然你已经实现了,这也无可厚非,毕竟是为了用户安全着想。但是,检测到 Linux 系统,就直接告诉用户不支持,这是什么道理?又不是刚开始用控件,以前 Linux 系统也一直不用控件,不也照样正常登录么?

出于疑问,我昨天给浦发银行客服打了电话,对方态度很好,但也只能帮我确认了一下,目前不支持 Linux 系统。

然后,又有网友说什么,企业会考虑用户的总体需求,做出取舍;升级是银行的自由,用户也有选择其他银行的自由。我对此只能呵呵了。不顾小部分用户的需求和感受,把他们一脚踢开,这就是所谓的自由?还有点消费者权益保障意识么?

还有网友觉得,开发 Linux 版控件,会增加成本,而 Linux 用户太少,不值得。先不说开发 Linux 版控件的成本问题(Linux 程序员表示这个实在太好笑了!),我们并没有要求你浦发银行开发 Linux 版控件啊。看当前的互联网大厂们,也不过支付宝提供了 Linux 版控件。而百付宝等都是检测到 Linux 系统的话,就不要求使用控件。浦发银行之前不也是一直这样做的么?

原本,我以为,这次升级之后,没有控件就无法登录,而目前没有 Linux 版控件,所以浦发网银就直接说不支持。但是,有网友发现,将浏览器 User Agent 更改成移动浏览器的,就可以不用控件,跟以前 Linux 系统一样,正常登录网银了!例如:Mozilla/5.0 (Android; Mobile; rv:28.0) Gecko/26.0 Firefox/28.0 或 Mozilla/5.0 (iPad; CPU OS 7_0_4 like Mac OS X) AppleWebKit/537.51.1 (KHTML, like Gecko) CriOS/32.0.1700.20 Mobile/11B554a Safari/9537.53 等等。

啊喂!什么意思啊?封杀 Linux 用户不成?还是说手抖了,不小心把 Linux 给封掉了?或者说,漏掉处理移动浏览器了?今天晚上又给客服反映了一下,希望能让 Linux 用户继续正常使用。不知道客服反馈了之后,浦发网银是会放开 Linux 系统,还是干掉移动浏览器,亦或是维持现状。

无论结果如何,我已经做好了用脚投票的准备。你不仁,就别怪我不义。似乎现在建设银行、平安银行和兴业银行的网银都支持 Linux 系统了,不知道哪家的更给力一些,可能要亲自体验一番了。

最新评论

我也要发表评论

饥饿加菲 2014-03-27 08:34  新浪微博网友评论 回复
歧视Linux用户。。
MarHoury 2014-03-27 08:34  新浪微博网友评论 1 回复
不会有太大反响的,本身受众就少。
薄荷开源网 2014-03-27 08:34  新浪微博网友评论 1 回复
建行的支持很好,登录网页操作毫无问题。
公民迈克 2014-03-27 08:34  新浪微博网友评论 回复
开发能力反映银行实力和资金安全程度。
爱开源的好基友 2014-03-27 08:34  新浪微博网友评论 2 回复
Repost
Viz赵文轩 2014-03-27 08:34  新浪微博网友评论 回复
帮顶……
Aimzest 2014-03-27 08:34  新浪微博网友评论 回复
建设银行吧,我就在用//@爱开源的好基友:Repost
我爱笨兔兔ibentutu 2014-03-27 08:34  新浪微博网友评论 1 回复
照这么说:中国银行请给我们一个解释,招行请给我们一个解释……[嘻嘻]
Rbmac 2014-03-27 08:34  新浪微博网友评论 1 回复
少见多怪。。。//@我爱笨兔兔ibentutu:照这么说:中国银行请给我们一个解释,招行请给我们一个解释……[嘻嘻]
绿色圣光 2014-03-27 08:34  新浪微博网友评论 回复
回复@公民迈克:与开发能力无关,浦发目前仍然支持不用控件的登录方式,将浏览器伪装成移动浏览器即可。
相公12345 2014-03-27 10:07  新浪微博网友评论 回复
fuck 浦发,@王宇昆山@蠕动混沌阿卡林@LinuxDeepin官方微博@左耳朵耗子@血红色的修道士@啊啊啊烧饼@M0卡卡@怀恋咖啡@dabing046930
公民迈克 2014-03-27 10:07  新浪微博网友评论 回复
回复@绿色圣光:既然支持移动版的浏览器,为什么不主动判断客户端OS类型呢?不是开发能力问题就只能是项目管理能力问题了:设计和测试用例未包含Linux用户。
绿色圣光 2014-03-27 10:07  新浪微博网友评论 回复
回复@公民迈克:判断了。因为提示是不支持,而非Windows系统上那样,要求下载控件。但是可能正如你所说,测试不严谨,导致判断UA出现了bug,误杀了Linux。希望如此!
纳凉先生 2014-03-27 10:07  新浪微博网友评论 回复
不支持Linux很遗憾,也说明了维护少数LINUX用户的成本很高~~~
绿色圣光 2014-03-27 10:07  新浪微博网友评论 1 回复
回复@纳凉先生:判断UA时把Linux与移动操作系统一样对待就可以了,根本没什么成本问题。有可能这次只是升级导致的bug。
绿色圣光 2014-03-27 10:07  新浪微博网友评论 回复
真心希望这次只是浦发网银升级,为了提示 Windows 系统非 IE 内核浏览器安装控件,而在判断 UA 时出现了bug。其实,仔细去瞅瞅浦发网银登录页面的代码,应该能找到吧?[思考]
纳凉先生 2014-03-27 10:07  新浪微博网友评论 1 回复
回复@绿色圣光:开发不需要成本?
绿色圣光 2014-03-27 10:07  新浪微博网友评论 回复
回复@纳凉先生:修正几条判断语句,要多少成本?
蠕动混沌阿卡林 2014-03-27 10:07  新浪微博网友评论 1 回复
[蜡烛]别这样,要怪就怪咱们用户基数不如Windows用户,在大众眼里逼格也不如Mac用户。对于那些没有互联网行业背景尤其是销售出身的决策者来说,小众还不是壕就是没人权。。。//@相公12345: fuck 浦发,

收藏

返回顶部

分享到微信

打开微信,点击顶部的“╋”,
使用“扫一扫”将网页分享至微信。